Bug 111912 - Incorrect '/sbin/insmod bond' with 'mode =' SECTION A.3.2.1
Summary: Incorrect '/sbin/insmod bond' with 'mode =' SECTION A.3.2.1
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rhel-rg   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrius Benokraitis
QA Contact: John Ha
URL: http://www.redhat.com/docs/manuals/en...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-11 15:35 UTC by Andrius Benokraitis
Modified: 2015-07-14 04:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-12 21:46:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrius Benokraitis 2003-12-11 15:35:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030922 Galeon/1.3.10

Description of problem:
According to the source, the RHEL3 bonding driver supports 7 modes of
operation, which are listed below:

Mode 0 - Round Robin: Packets are sent out all the slave interfaces
round-robin style

Mode 1 - Active-backup: 1 slave interface is used for all packets. If
it should fail the second slave interface will take over.

Mode 2 - XOR: packets are load balaced to each interface according to
an exclusive or of a subset of the packet header information.

Mode 3 - Broadcast: All packets are sent out all interfaces (this is
actually mis-documented currently in the RHEL3 docs)

Mode 4 - 802.3ad: Packets are distributed among the slave interfaces
according to a hash function.  Link status is also maintained by the
802.3ad link aggregation protocol.

Mode 5 - TLB: Packets are load balanced according to transmit stats
(transmit load balancing)

Mode 6 - ALB: Packets are load balanced according to transmit/receive
statistics (adaptive load balancing).

Currently we only document the first 4 modes.

Version-Release number of selected component (if applicable):
rhel-rg(EN)-3-HTML-RHI (2003-07-25T17:13)

How reproducible:
Always

Steps to Reproduce:
1. Look at RHEL-3 source code
2.
3.
    

Additional info:


Note You need to log in before you can comment on or make changes to this bug.